bor_getSignersAtHash
POST
Returns the list of validators who signed a specific block hash. This method is used to query the addresses of signers (validators) for a given block hash and allows you to identify the nodes that participated in block validation at a specific point in the network.
param[0]
blockHashstringrequired
Block hash is the unique identifier of a block. Block hashes are expressed as 64-digit hexadecimal strings.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://polygon-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "bor_getSignersAtHash","params": ["0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48"]}'